#pragma once

#include <stdint.h>

typedef struct {
    char   directory[256];
    int    socket;
    int    data_socket;
} lftpd_client_t;

typedef struct {
    const char *directory;
    int    port;
    int    server_socket;
    lftpd_client_t *client;
} lftpd_t;

int lftpd_start(const char *directory, int port, lftpd_t *lftpd);
int lftpd_stop(lftpd_t *lftpd);
